Bug 830345 - [abrt] llvm-2.8-15.fc15: memmove: Process /usr/bin/llvm-mc was killed by signal 11 (SIGSEGV)
[abrt] llvm-2.8-15.fc15: memmove: Process /usr/bin/llvm-mc was killed by sign...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: llvm (Show other bugs)
15
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michel Alexandre Salim
Fedora Extras Quality Assurance
abrt_hash:2c3c20da829dc66567e76d997db...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-08 17:38 EDT by Oded Rimon
Modified: 2012-08-07 13:22 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 13:22:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Oded Rimon 2012-06-08 17:38:28 EDT
abrt version: 2.0.3
architecture:   i686
backtrace_rating: 4
cmdline:        llvm-mc -filetype=obj -o b.o
component:      llvm
crash_function: memmove
executable:     /usr/bin/llvm-mc
kernel:         2.6.43.5-2.fc15.i686
os_release:     Fedora release 15 (Lovelock)
package:        llvm-2.8-15.fc15
reason:         Process /usr/bin/llvm-mc was killed by signal 11 (SIGSEGV)
time:           Sat Jun  9 00:15:45 2012
uid:            500
username:       oded

backtrace:
:[New LWP 5600]
:warning: .dynamic section for "/usr/lib/llvm/libLLVM-2.8.so" is not at the expected address (wrong library or version mismatch?)
:warning: .dynamic section for "/usr/lib/libstdc++.so.6" is not at the expected address (wrong library or version mismatch?)
:[Thread debugging using libthread_db enabled]
:Core was generated by `llvm-mc -filetype=obj -o b.o'.
:Program terminated with signal 11, Segmentation fault.
:#0  __memmove_ia32 () at ../sysdeps/i386/i686/memmove.S:77
:77	2:	rep
:
:Thread 1 (Thread 0xb76fa6d0 (LWP 5600)):
:#0  __memmove_ia32 () at ../sysdeps/i386/i686/memmove.S:77
:No locals.
:#1  0x431f8590 in __copy_m<char> (__result=<optimized out>, __last=<optimized out>, __first=0x45545f5f <Address 0x45545f5f out of bounds>) at /usr/include/c++/4.6.3/bits/stl_algobase.h:366
:        _Num = 21592
:#2  __copy_move_a<false, char const*, char*> (__result=<optimized out>, __last=<optimized out>, __first=0x45545f5f <Address 0x45545f5f out of bounds>) at /usr/include/c++/4.6.3/bits/stl_algobase.h:384
:        __simple = true
:#3  __copy_move_a2<false, char const*, char*> (__result=<optimized out>, __last=<optimized out>, __first=0x45545f5f <Address 0x45545f5f out of bounds>) at /usr/include/c++/4.6.3/bits/stl_algobase.h:422
:No locals.
:#4  copy<char const*, char*> (__result=<optimized out>, __last=<optimized out>, __first=0x45545f5f <Address 0x45545f5f out of bounds>) at /usr/include/c++/4.6.3/bits/stl_algobase.h:454
:No locals.
:#5  __uninit_copy<char const*, char*> (__result=<optimized out>, __last=<optimized out>, __first=0x45545f5f <Address 0x45545f5f out of bounds>) at /usr/include/c++/4.6.3/bits/stl_uninitialized.h:95
:No locals.
:#6  uninitialized_copy<char const*, char*> (__result=<optimized out>, __last=<optimized out>, __first=0x45545f5f <Address 0x45545f5f out of bounds>) at /usr/include/c++/4.6.3/bits/stl_uninitialized.h:119
:No locals.
:#7  append<char const*> (in_end=<optimized out>, in_start=0x45545f5f <Address 0x45545f5f out of bounds>, this=0x8946bd0) at /usr/src/debug/llvm-2.8/include/llvm/ADT/SmallVector.h:364
:        NumInputs = 21592
:#8  operator+= (RHS=..., this=0x8946bd0) at /usr/src/debug/llvm-2.8/include/llvm/ADT/SmallString.h:57
:No locals.
:#9  (anonymous namespace)::ELFObjectWriterImpl::CreateMetadataSections (this=0x8939c78, Asm=..., Layout=...) at ELFObjectWriter.cpp:821
:        Section = @0x8945900
:        it = {<std::iterator<std::bidirectional_iterator_tag, llvm::MCSectionData const, int, llvm::MCSectionData const*, llvm::MCSectionData const&>> = {<No data fields>}, NodePtr = 0x8939ad8}
:        ie = {<std::iterator<std::bidirectional_iterator_tag, llvm::MCSectionData const, int, llvm::MCSectionData const*, llvm::MCSectionData const&>> = {<No data fields>}, NodePtr = 0x8939b08}
:        Ctx = @0x8946bd0
:        EntrySize = <optimized out>
:        ShstrtabSection = 0x8945900
:        SymtabSection = 0x8945900
:        F = 0x8946ba0
:        StrtabSection = 0x8945900
:        Index = 21594
:#10 0x431f92dd in WriteObject (Layout=..., Asm=..., this=0x8939c78) at ELFObjectWriter.cpp:831
:        SectionOffsetMap = <optimized out>
:        SectionIndexMap = <optimized out>
:        NumSections = <optimized out>
:        SectionDataSize = <optimized out>
:        Index = <optimized out>
:#11 llvm::ELFObjectWriter::WriteObject (this=0x8939700, Asm=..., Layout=...) at ELFObjectWriter.cpp:972
:No locals.
:#12 0x43204e50 in llvm::MCAssembler::Finish (this=0x893abe0, Writer=0x8939700) at MCAssembler.cpp:816
:        Layout = {Assembler = @0x893abe0, SectionOrder = {<llvm::SmallVectorImpl<llvm::MCSectionData*>> = {<llvm::SmallVectorTemplateBase<llvm::MCSectionData*, true>> = {<llvm::SmallVectorTemplateCommon<llvm::MCSectionData*>> = {<llvm::SmallVectorBase> = {BeginX = 0xbfd1aca0, EndX = 0xbfd1acac, CapacityX = 0xbfd1ace0, FirstEl = {X = -40 '\330'}}, <No data fields>}, <No data fields>}, <No data fields>}, InlineElts = {{X = 40 '('}, {X = -128 '\200'}, {X = 76 'L'}}}, LastValidFragment = 0x0}
:        OwnWriter = {Ptr = 0x8939700}
:        SectionIndex = <optimized out>
:        FragmentIndex = <optimized out>
:#13 0x432084a7 in (anonymous namespace)::MCELFStreamer::Finish (this=0x893a680) at MCELFStreamer.cpp:398
:No locals.
:#14 0x433d30e8 in (anonymous namespace)::er::Run (this=0x893b040, NoInitialTextSection=false, NoFinalize=false) at AsmParser.cpp:395
:        HadError = false
:        StartingCondState = {TheCond = <optimized out>, CondMet = <optimized out>, Ignore = 28}
:        MCDwarfFiles = std::vector of length 0, capacity 0
:#15 0x0804f3de in ?? ()
:No symbol table info available.
:#16 0x0804b6cc in main ()
:No symbol table info available.
:From        To          Syms Read   Shared Object Library
:0x42e340c0  0x43865c18  Yes         /usr/lib/llvm/libLLVM-2.8.so
:0x42b9a600  0x42ba5d58  Yes         /lib/libpthread.so.0
:0x44680000  0x4468365c  Yes         /usr/lib/libffi.so.5
:0x42bb2a60  0x42bb3a88  Yes         /lib/libdl.so.2
:0x423547c0  0x423c7f78  Yes         /usr/lib/libstdc++.so.6
:0x42bc7470  0x42be2b48  Yes         /lib/libm.so.6
:0x417bdf30  0x417d4c48  Yes         /lib/libgcc_s.so.1
:0x42a1ed10  0x42b3cd94  Yes         /lib/libc.so.6
:0x429e6850  0x429fdccf  Yes         /lib/ld-linux.so.2
:$1 = 0x0
:No symbol "__glib_assert_msg" in current context.
:eax            0xc3400cea	-1019212566
:ecx            0x1516	5398
:edx            0x5458	21592
:ebx            0x43b8ed80	1136192896
:esp            0xbfd1aa48	0xbfd1aa48
:ebp            0x893a4c8	0x893a4c8
:esi            0x45545f5f	1163157343
:edi            0x8946c49	143944777
:eip            0x42a829b3	0x42a829b3 <__memmove_ia32+35>
:eflags         0x210202	[ IF RF ID ]
:cs             0x73	115
:ss             0x7b	123
:ds             0x7b	123
:es             0x7b	123
:fs             0x0	0
:gs             0x33	51
:Dump of assembler code for function __memmove_ia32:
:   0x42a82990 <+0>:	push   %edi
:   0x42a82991 <+1>:	mov    0x10(%esp),%ecx
:   0x42a82995 <+5>:	mov    0x8(%esp),%edi
:   0x42a82999 <+9>:	mov    %esi,%edx
:   0x42a8299b <+11>:	mov    0xc(%esp),%esi
:   0x42a8299f <+15>:	mov    %edi,%eax
:   0x42a829a1 <+17>:	sub    %esi,%eax
:   0x42a829a3 <+19>:	cmp    %eax,%edi
:   0x42a829a5 <+21>:	jae    0x42a829bd <__memmove_ia32+45>
:   0x42a829a7 <+23>:	cld    
:   0x42a829a8 <+24>:	shr    %ecx
:   0x42a829aa <+26>:	jae    0x42a829ad <__memmove_ia32+29>
:   0x42a829ac <+28>:	movsb  %ds:(%esi),%es:(%edi)
:   0x42a829ad <+29>:	shr    %ecx
:   0x42a829af <+31>:	jae    0x42a829b3 <__memmove_ia32+35>
:   0x42a829b1 <+33>:	movsw  %ds:(%esi),%es:(%edi)
:=> 0x42a829b3 <+35>:	rep movsl %ds:(%esi),%es:(%edi)
:   0x42a829b5 <+37>:	mov    %edx,%esi
:   0x42a829b7 <+39>:	mov    0x8(%esp),%eax
:   0x42a829bb <+43>:	pop    %edi
:   0x42a829bc <+44>:	ret    
:   0x42a829bd <+45>:	std    
:   0x42a829be <+46>:	lea    -0x1(%edi,%ecx,1),%edi
:   0x42a829c2 <+50>:	lea    -0x1(%esi,%ecx,1),%esi
:   0x42a829c6 <+54>:	shr    %ecx
:   0x42a829c8 <+56>:	jae    0x42a829cb <__memmove_ia32+59>
:   0x42a829ca <+58>:	movsb  %ds:(%esi),%es:(%edi)
:   0x42a829cb <+59>:	sub    $0x1,%edi
:   0x42a829ce <+62>:	sub    $0x1,%esi
:   0x42a829d1 <+65>:	shr    %ecx
:   0x42a829d3 <+67>:	jae    0x42a829d7 <__memmove_ia32+71>
:   0x42a829d5 <+69>:	movsw  %ds:(%esi),%es:(%edi)
:   0x42a829d7 <+71>:	sub    $0x2,%edi
:   0x42a829da <+74>:	sub    $0x2,%esi
:   0x42a829dd <+77>:	rep movsl %ds:(%esi),%es:(%edi)
:   0x42a829df <+79>:	mov    %edx,%esi
:   0x42a829e1 <+81>:	mov    0x8(%esp),%eax
:   0x42a829e5 <+85>:	cld    
:   0x42a829e6 <+86>:	pop    %edi
:   0x42a829e7 <+87>:	ret    
:End of assembler dump.

build_ids:
:a4c8303d94b9c5d34ca7615b3b505571465e24c0
:50df908d9a2b9a863f8bf1ae468bac0c6d361ba3
:55f0338dbb97f9276de6894e9f881baae27cbe56
:499c2593e24e9f13caaf9158c2e43414448615e7
:53470df4459209e6128a25dd0a07b85f80e3d6c9
:5a9bdbb0d014b6076a8dd184e99d97cfc68d2882
:631fbf7ae0cc91a027db0a6c1f07e19321b19efb
:37e94efc69536829f724a10eb0975db48a4a13de
:57ddd83e390b80342e80021886f6b0b211ce4697
:f10e60d10dfa08e23f5ccd104814a72b41c72b10
:44f38d4ca151785c4e15df0617a51ba60f2b3aad

comment:
:I just wanted to check llvm-mc, so I ran the following command in my shell:
:echo 'movl $6, 4(%esp)' | llvm-mc -filetype=obj -o b.o
:
:What I received is the following:
:0  libLLVM-2.8.so 0x4375a7a9
:1  libLLVM-2.8.so 0x4375ae64
:2                 0x007ed400 __kernel_sigreturn + 0
:3  libc.so.6      0x42a829b3
:4  libLLVM-2.8.so 0x431f8590
:5  libLLVM-2.8.so 0x431f92dd llvm::ELFObjectWriter::WriteObject(llvm::MCAssembler const&, llvm::MCAsmLayout const&) + 61
:6  libLLVM-2.8.so 0x43204e50 llvm::MCAssembler::Finish(llvm::MCObjectWriter*) + 1056
:7  libLLVM-2.8.so 0x432084a7
:8  libLLVM-2.8.so 0x433d30e8
:9  llvm-mc        0x0804f3de
:10 llvm-mc        0x0804b6cc main + 924
:11 libc.so.6      0x42a213f3 __libc_start_main + 243
:12 llvm-mc        0x0804c875
:Stack dump:
:0.      Program arguments: llvm-mc -filetype=obj -o b.o 
:Segmentation fault (core dumped)

dso_list:
:/lib/ld-2.14.1.so glibc-2.14.1-6.i686 (Fedora Project) 1331844197
:/lib/libgcc_s-4.6.3-20120306.so.1 libgcc-4.6.3-2.fc15.i686 (Fedora Project) 1333717037
:/usr/lib/llvm/libLLVM-2.8.so llvm-libs-2.8-15.fc15.i686 (Fedora Project) 1334955260
:/lib/libdl-2.14.1.so glibc-2.14.1-6.i686 (Fedora Project) 1331844197
:/lib/libpthread-2.14.1.so glibc-2.14.1-6.i686 (Fedora Project) 1331844197
:/lib/libc-2.14.1.so glibc-2.14.1-6.i686 (Fedora Project) 1331844197
:/usr/lib/libffi.so.5.0.10 libffi-3.0.10-1.fc15.i686 (Fedora Project) 1320830851
:/lib/libm-2.14.1.so glibc-2.14.1-6.i686 (Fedora Project) 1331844197
:/usr/lib/libstdc++.so.6.0.16 libstdc++-4.6.3-2.fc15.i686 (Fedora Project) 1333717040
:/usr/bin/llvm-mc llvm-2.8-15.fc15.i686 (Fedora Project) 1339087321

maps:
:007ed000-007ee000 r-xp 00000000 00:00 0          [vdso]
:08048000-08054000 r-xp 00000000 fd:00 938262     /usr/bin/llvm-mc
:08054000-08057000 rw-p 0000c000 fd:00 938262     /usr/bin/llvm-mc
:0891f000-0895c000 rw-p 00000000 00:00 0          [heap]
:417bc000-417d8000 r-xp 00000000 fd:00 656407     /lib/libgcc_s-4.6.3-20120306.so.1
:417d8000-417d9000 rw-p 0001b000 fd:00 656407     /lib/libgcc_s-4.6.3-20120306.so.1
:4230c000-423ee000 r-xp 00000000 fd:00 926246     /usr/lib/libstdc++.so.6.0.16
:423ee000-423f2000 r--p 000e1000 fd:00 926246     /usr/lib/libstdc++.so.6.0.16
:423f2000-423f4000 rw-p 000e5000 fd:00 926246     /usr/lib/libstdc++.so.6.0.16
:423f4000-423fa000 rw-p 00000000 00:00 0 
:429e6000-42a04000 r-xp 00000000 fd:00 657323     /lib/ld-2.14.1.so
:42a04000-42a05000 r--p 0001d000 fd:00 657323     /lib/ld-2.14.1.so
:42a05000-42a06000 rw-p 0001e000 fd:00 657323     /lib/ld-2.14.1.so
:42a08000-42b8d000 r-xp 00000000 fd:00 657327     /lib/libc-2.14.1.so
:42b8d000-42b8e000 ---p 00185000 fd:00 657327     /lib/libc-2.14.1.so
:42b8e000-42b90000 r--p 00185000 fd:00 657327     /lib/libc-2.14.1.so
:42b90000-42b91000 rw-p 00187000 fd:00 657327     /lib/libc-2.14.1.so
:42b91000-42b94000 rw-p 00000000 00:00 0 
:42b96000-42bac000 r-xp 00000000 fd:00 657329     /lib/libpthread-2.14.1.so
:42bac000-42bad000 r--p 00015000 fd:00 657329     /lib/libpthread-2.14.1.so
:42bad000-42bae000 rw-p 00016000 fd:00 657329     /lib/libpthread-2.14.1.so
:42bae000-42bb0000 rw-p 00000000 00:00 0 
:42bb2000-42bb5000 r-xp 00000000 fd:00 657335     /lib/libdl-2.14.1.so
:42bb5000-42bb6000 r--p 00002000 fd:00 657335     /lib/libdl-2.14.1.so
:42bb6000-42bb7000 rw-p 00003000 fd:00 657335     /lib/libdl-2.14.1.so
:42bc4000-42bec000 r-xp 00000000 fd:00 657328     /lib/libm-2.14.1.so
:42bec000-42bed000 r--p 00028000 fd:00 657328     /lib/libm-2.14.1.so
:42bed000-42bee000 rw-p 00029000 fd:00 657328     /lib/libm-2.14.1.so
:42bf0000-43b06000 r-xp 00000000 fd:00 946569     /usr/lib/llvm/libLLVM-2.8.so
:43b06000-43c63000 rw-p 00f15000 fd:00 946569     /usr/lib/llvm/libLLVM-2.8.so
:43c63000-43c6f000 rw-p 00000000 00:00 0 
:4467f000-44684000 r-xp 00000000 fd:00 932693     /usr/lib/libffi.so.5.0.10
:44684000-44685000 rw-p 00005000 fd:00 932693     /usr/lib/libffi.so.5.0.10
:b76fa000-b76fd000 rw-p 00000000 00:00 0 
:b7714000-b7715000 rw-p 00000000 00:00 0 
:bfcfb000-bfd1d000 rw-p 00000000 00:00 0          [stack]

var_log_messages:
:Jun  7 22:19:18 oded-desktop kernel: [1297927.284242] llvm-mc[14015]: segfault at 45545f5f ip 42a829b3 sp bffd0408 error 4 in libc-2.14.1.so[42a08000+185000]
:Jun  7 22:19:19 oded-desktop abrt[14016]: saved core dump of pid 14015 (/usr/bin/llvm-mc) to /var/spool/abrt/ccpp-2012-06-07-22:19:18-14015.new/coredump (2080768 bytes)
:Jun  7 22:19:52 oded-desktop kernel: [1297961.670707] llvm-mc[14047]: segfault at 45545f5f ip 42a829b3 sp bfc5e8d8 error 4 in libc-2.14.1.so[42a08000+185000]
:Jun  7 22:19:53 oded-desktop abrt[14048]: saved core dump of pid 14047 (/usr/bin/llvm-mc) to /var/spool/abrt/ccpp-2012-06-07-22:19:52-14047.new/coredump (2080768 bytes)
:Jun  7 22:20:30 oded-desktop kernel: [1297999.655496] llvm-mc[14070]: segfault at 45545f5f ip 42a829b3 sp bff2af48 error 4 in libc-2.14.1.so[42a08000+185000]
:Jun  7 22:20:31 oded-desktop abrt[14077]: saved core dump of pid 14070 (/usr/bin/llvm-mc) to /var/spool/abrt/ccpp-2012-06-07-22:20:30-14070.new/coredump (2080768 bytes)
:Jun  7 22:21:05 oded-desktop kernel: [1298033.979888] llvm-mc[14116]: segfault at 45545f5f ip 42a829b3 sp bfb0d5c8 error 4 in libc-2.14.1.so[42a08000+185000]
:Jun  7 22:21:05 oded-desktop abrt[14117]: saved core dump of pid 14116 (/usr/bin/llvm-mc) to /var/spool/abrt/ccpp-2012-06-07-22:21:05-14116.new/coredump (2060288 bytes)
:Jun  7 22:21:31 oded-desktop kernel: [1298059.927264] llvm-mc[14137]: segfault at 45545f5f ip 42a829b3 sp bf84a0c8 error 4 in libc-2.14.1.so[42a08000+185000]
:Jun  7 22:21:31 oded-desktop abrt[14141]: saved core dump of pid 14137 (/usr/bin/llvm-mc) to /var/spool/abrt/ccpp-2012-06-07-22:21:31-14137.new/coredump (2080768 bytes)
:Jun  7 22:22:23 oded-desktop kernel: [1298112.329936] llvm-mc[14176]: segfault at 45545f5f ip 42a829b3 sp bfc51b88 error 4 in libc-2.14.1.so[42a08000+185000]
:Jun  7 22:22:23 oded-desktop abrt[14177]: saved core dump of pid 14176 (/usr/bin/llvm-mc) to /var/spool/abrt/ccpp-2012-06-07-22:22:23-14176.new/coredump (2064384 bytes)
:Jun  9 00:15:45 oded-desktop kernel: [ 8216.283376] llvm-mc[5600]: segfault at 45545f5f ip 42a829b3 sp bfd1aa48 error 4 in libc-2.14.1.so[42a08000+185000]
:Jun  9 00:15:45 oded-desktop abrt[5601]: saved core dump of pid 5600 (/usr/bin/llvm-mc) to /var/spool/abrt/ccpp-2012-06-09-00:15:45-5600.new/coredump (2072576 bytes)
Comment 1 Fedora End Of Life 2012-08-07 13:22:39 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.